WordPress cloudflare flexible ssl 设置下解决mixed cotent相关功能问题

很长时间未更新,前几日在升级到最新的版本后,尝试发篇文章,发现文章编辑功能已无法使用。 打开console后,提示mixed content,所有http的请求均被浏览器block掉,所以功能无法正常使用。 本尝试通过搜索代码,逐一修改,但因涉及到很多插件和wordpress的核心部分功能,遂放弃。 搜索一番,发现此问题确实和cloudflare cdn 后启用ssl并且设置了 flexible ssl有关。

  1. 不使用flexible ssl 关于灵活ssl配置,请参见 cloud flare官方文档。 https://support.cloudflare.com/hc/zh-cn/articles/200170416#h_4e0d1a7c-eb71-4204-9e22-9d3ef9ef7fef
  2. 如果还想继续使用flexible ssl,那么可以直接安装 Flexible SSL for CloudFlare for wordpress的插件即可。 经过验证安装后,问题解决。

此篇文章已被阅读107 次

Add a Comment

邮箱地址不会被公开。 必填项已用*标注